import math
print("длина площади: ")
n = int(input())
print("ширина площади: ")
m = int(input())
print("сторона квадрата освещения: ")
k = int(input())
count_m = math.ceil(m / k)
count_n = math.ceil(n / k)
result = count_m * count_n
print(result)